# Name of the model used in the directory name (Optional).
model_name: bases_autoencoder

# Python file with compile_model() function.
model_module: autoencoder_with_bases

# Number of bases to take as input surrounding the middle one.
# kmer_size = 2*n_bases_around + 1
n_bases_around: 3

# Number of conv. filters.
filters: 1
# Crop observations from both of the ends. These observations might be
# influenced by bases outside the window.
crop_obs: 90
n_epochs: 10000
batch_size: 4096
learning_rate: 0.01
# Number of convolutional modules. The size of bottleneck is
# window_size/2**modules.
n_conv_modules: 4
# Concatenate bottleneck features with bases and pass them to decoder.
add_bases_to_neck: False

# Tensorflow settings.
intra_op_threads: 48
inter_op_threads: 1

# Learning rate schedule (Optional).
lr_schedule:
  function_name: keras_lr_decay
  args:
    initial_lr: 0.01
    start_decay_epoch: 0
    decay: 0.005
